const isCubicBezier = (easing) => Array.isArray(easing) && typeof easing[0] === "number";
const isEasingList = (easing) => Array.isArray(easing) && typeof easing[0] !== "number";
const convertEasing = (easing) => isCubicBezier(easing) ? cubicBezierAsString(easing) : easing;
const cubicBezierAsString = ([a, b, c, d]) => `cubic-bezier(${a}, ${b}, ${c}, ${d})`;

export { convertEasing, cubicBezierAsString, isCubicBezier, isEasingList };
